<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR PINJAMAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-12 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListPinjaman()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control pr-0" (keyup.enter)="doGetListPinjaman()" id="tanggalMulai" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control pr-0" (keyup.enter)="doGetListPinjaman()" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Status</label>
                  <select name="status" class="form-control selectpicker" (keyup.enter)="doGetListPinjaman()" title="Pilih Status" [(ngModel)]="statusPinjaman">
                    <option value="LUNAS">Lunas</option>
                    <option value="BELUM">Belum Lunas</option>
                  </select>
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Pencarian </label>
                  <input id="appendedInputButton" (keyup.enter)="doGetListPinjaman()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
              <!--<div class="row">-->
                <!--<div [ngClass]="{'col-sm-3': dataUser.role === 'HRD', 'col-sm-2': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">-->
                  <!--<label class="col-form-label">Tanggal Mulai</label>-->
                  <!--<input class="form-control pr-0" id="tanggalMulai" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">-->
                <!--</div>-->
                <!--<div [ngClass]="{'col-sm-3': dataUser.role === 'HRD', 'col-sm-2': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">-->
                  <!--<label class="col-form-label">Tanggal Akhir</label>-->
                  <!--<input class="form-control pr-0" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">-->
                <!--</div>-->
                <!--<div class="col-sm-2">-->
                  <!--<label class="col-form-label">Status</label>-->
                  <!--<select name="status" class="form-control selectpicker" title="Pilih Status" [(ngModel)]="statusPinjaman">-->
                    <!--<option value="Lunas">Lunas</option>-->
                    <!--<option value="BELUM">Belum Lunas</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div [ngClass]="{'col-sm-3': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">-->
                  <!--<label *ngIf="dataUser.role!=='HRD'" class="col-form-label">Perusahaan </label>-->
                  <!--<app-company-select *ngIf="dataUser.role!=='HRD'" [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>-->
                <!--</div>-->
                <!--<div [ngClass]="{'col-sm-4': dataUser.role === 'HRD', 'col-sm-2': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">-->
                  <!--<label class="col-form-label">Pencarian </label>-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">-->
                  <!--&lt;!&ndash;<div class="controls">&ndash;&gt;-->
                    <!--&lt;!&ndash;<div class="input-group">&ndash;&gt;-->
                      <!--&lt;!&ndash;<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">&ndash;&gt;-->
                      <!--&lt;!&ndash;<span class="input-group-append">&ndash;&gt;-->
                    <!--&lt;!&ndash;<button class="btn btn-success" type="button" (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari </button>&ndash;&gt;-->
                  <!--&lt;!&ndash;</span>&ndash;&gt;-->
                    <!--&lt;!&ndash;</div>&ndash;&gt;-->
                  <!--&lt;!&ndash;</div>&ndash;&gt;-->
                <!--</div>-->
                <!--<div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">-->
                  <!--<button class="btn btn-success"  (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari</button>-->
                <!--</div>-->
              <!--</div>-->
            </div>
          </div>
          <!--<div *ngIf="listPinjaman | filter: filterText as list">-->
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 1%">#</th>
                <!--<th class="text-center">ID Ajuan</th>-->
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tanggalPinjaman')">Tgl. Pinjaman
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalPinjaman',
                                    'fa-sort-asc': (column == 'tanggalPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 5%" (click)="sort('nama')">Anggota
                  <i class="fa" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th *ngIf="dataUser.role==='ADM'" class="text-center align-middle" style="width: 10%" (click)="sort('namaPerusahaan')">Nama Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('tipePengajuan')">Jenis Pinjaman
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tipePengajuan',
                                    'fa-sort-asc': (column == 'tipePengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'tipePengajuan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%" (click)="sort('keterangan')">Keperluan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('nominalPinjaman')">Nominal
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalPinjaman',
                                    'fa-sort-asc': (column == 'nominalPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'nominalPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 5%" (click)="sort('lamaAngsuran')">Lama Angsuran
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'lamaAngsuran',
                                    'fa-sort-asc': (column == 'lamaAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'lamaAngsuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 7%" (click)="sort('sisaPinjaman')">Sisa Angsuran
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'sisaPinjaman',
                                    'fa-sort-asc': (column == 'sisaPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'sisaPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 6%" (click)="sort('statusPinjaman')">Status
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusPinjaman',
                                    'fa-sort-asc': (column == 'statusPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'statusPinjaman' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center" style="width: 4%">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listPinjaman || listPinjaman.length===0">
              <tr>
                <td colspan="11" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listPinjaman | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <!--<td>{{data.kodePengajuan}}</td>-->
                <td>{{data.tanggalPinjaman | date: 'dd MMM yyyy'}}</td>
                <td><a href="javascript:void(0);" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}
                  <br><span *ngIf="dataUser.role!=='ADM'">{{data.lokasiPenempatan}}</span>
                </td>
                <td *ngIf="dataUser.role==='ADM'">{{data.namaPerusahaan}} <br>{{data.lokasiPenempatan}}</td>
                <td>{{ data.tipePengajuan }}
                  <div *ngIf="data.tipePengajuan==='Barang'">({{data.namaBarang}})</div>
                </td>
                <td>{{ data.keterangan }}</td>
                <td>{{ data.nominalPinjaman | number}}</td>
                <td>{{ data.lamaAngsuran }} Bulan</td>
                <td>{{ data.sisaPinjaman | number }}</td>
                <td>{{ data.statusPinjaman | statusPinjaman }}</td>
                <td>
                  <button class="btn btn-success btn-sm"  (click)="gotoListAngsuran(data.nomorPinjaman, data.nama, data);"><i class="fa fa-list"></i> Detail</button>
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="listPinjaman.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi {{modalTitle}} Pengajuan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin {{modalTitle}} pengajuan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>
